TOUCH(1)

NOMBRE
touch - cambia la fecha de un archivo

SINOPSIS
touch [OPCIÓN]... ARCHIVO...

DESCRIPCIÓN

Actualiza la fecha de acceso y modificación de cada ARCHIVO a la hora actual.

Si no existe el argumento ARCHIVO , se creará uno vacío, a menos que se especifique -c o -h.

Una cadena de argumento ARCHIVO que sea - se maneja especialmente y provoca que touch cambie la fecha del archivo asociado con la salida estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-a  cambia solamente la fecha de acceso

-c, --no-create
    no crea ningún archivo

-d, --date=CADENA
    examina y utiliza CADENA en lugar de la fecha actual

-f  (no tiene efecto)

-h, --no-dereference
    afecta a cada enlace simbólico en lugar de a los archivos referidos (solamente es útil en sistemas que pueden cambiar el propietario de un enlace simbólico)

-m  cambia solamente la fecha de modificación

-r, --reference=ARCHIVO
    utiliza la fecha de este ARCHIVO en lugar de la fecha actual

-t [[CC]YY]MMDDhhmm[.ss]
    utiliza la hora que se especifique en lugar de la actual con un formato de fecha/hra diferente al de -d's

--time=PALABRA
    define que hora debe modificarse: hora de acceso (-a): 'access', 'atime', 'use'; hora de modificación (-m): 'modify', 'mtime'.

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

CADENA DE FECHA
--date=CADENA es una cadena de texto con un formato más o menos libre para indicar una fecha, por ejemplo "lun 02 nov 2020 22:38:49 CET" o bien "2020-02-29 16:21:42", incluso podría ser "next Thursday". El texto de fecha puede incluir la fecha, la hora, la zona horaria, el día de la semana, fechas y horas relativas así como otros datos. Una cadena vacía hace referencia al inicio del día. La cadena de fecha tiene un formato más complejo que el descrito aquí, puede consultar la página info para una descripción más detallada.

AUTOR
Escrito por Paul Rubin, Arnold Robbins, Jim Kingdon, David MacKenzie y Randy Smith.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa: <https://www.gnu.org/software/coreutils/touch>
también puede acceder de forma local ejecutando: info '(coreutils) touch invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por David García a.k.a. PowR <powr@thepentagon.com>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.